package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * Site band steering setting.
 */
@ApiModel(description = "Site band steering setting.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SiteBandSteeringSetting   {
  @JsonProperty("bandSteeringForMultiBand")
  private BandSteeringMultiBandVo bandSteeringForMultiBand;

  public SiteBandSteeringSetting bandSteeringForMultiBand(BandSteeringMultiBandVo bandSteeringForMultiBand) {
    this.bandSteeringForMultiBand = bandSteeringForMultiBand;
    return this;
  }

  /**
   * Get bandSteeringForMultiBand
   * @return bandSteeringForMultiBand
  */
  @ApiModelProperty(value = "")

  @Valid

  public BandSteeringMultiBandVo getBandSteeringForMultiBand() {
    return bandSteeringForMultiBand;
  }

  public void setBandSteeringForMultiBand(BandSteeringMultiBandVo bandSteeringForMultiBand) {
    this.bandSteeringForMultiBand = bandSteeringForMultiBand;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SiteBandSteeringSetting siteBandSteeringSetting = (SiteBandSteeringSetting) o;
    return Objects.equals(this.bandSteeringForMultiBand, siteBandSteeringSetting.bandSteeringForMultiBand);
  }

  @Override
  public int hashCode() {
    return Objects.hash(bandSteeringForMultiBand);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SiteBandSteeringSetting {\n");
    
    sb.append("    bandSteeringForMultiBand: ").append(toIndentedString(bandSteeringForMultiBand)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

